diff --git a/changelog b/changelog
index 2ebe8cc..7ad8d20 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20091031 tpd src/axiom-website/patches.html 20091031.01.tpd.patch
+20091031 tpd src/algebra/Makefile move help.help build to algebra
+20091031 tpd src/interp/Makefile move help.help build to algebra
 20091030 tpd src/axiom-website/patches.html 20091030.05.tpd.patch
 20091030 tpd books/bookvol10.3 more PartialFraction documentation
 20091030 tpd src/axiom-website/patches.html 20091030.04.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index d3951b0..17f90b2 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -15760,6 +15760,7 @@ OUTSRC=${MNT}/${SYS}/src/algebra
 INPUT=${INT}/input
 HELP=${MNT}/${SYS}/doc/spadhelp
 BOOKS=${SPD}/books
+BOOKSRC=${SPD}/books/bookvol5.pamphlet
 
 @
 \subsection{The depsys variable}
@@ -16320,6 +16321,23 @@ Axiom supports a )help command that takes a single argument.
 This argument is interpreted as the name of a flat ascii file
 which should live in \$AXIOM/doc/src/spadhelp.
 
+<<environment>>=
+
+SYNTAXHELP=\
+abbreviations.help assignment.help blocks.help   boot.help      \
+browse.help        cd.help         clear.help    clef.help      \
+close.help         collection.help compiler.help copyright.help \
+display.help       edit.help       fin.help      for.help       \
+frame.help         help.help       history.help  if.help        \
+include.help       iterate.help    leave.help    library.help   \
+lisp.help          load.help       ltrace.help   parallel.help  \
+pquit.help         quit.help       read.help     repeat.help    \
+savesystem.help    set.help        show.help     spool.help     \
+suchthat.help      summary.help    synonym.help  syntax.help    \
+system.help        trace.help      undo.help     what.help      \
+while.help with.help
+
+@
 \subsection{help documentation for algebra}
 The help documentation for algebra files lives within the algebra
 pamphlet. The help chunk contains the name of the domain, thus:
@@ -18129,7 +18147,15 @@ ${HELP}/ZeroDimensionalSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
 all: src ${OUT}/libdb.text ${DOCFILES} ${SPADBIN}/index.html gloss
 	@ echo 4302 finished ${IN}
 
-parallelhelp: ${SPADHELP}
+parallelhelp: syntaxhelp ${SPADHELP}
+
+syntaxhelp:
+	@echo 9 making ${HELP} files from ${BOOKSRC}
+	@(mkdir -p ${HELP} ; \
+          cd ${HELP} ; \
+          for i in ${SYNTAXHELP} ; do \
+            ${TANGLE} -R"$$i" ${BOOKSRC} >$$i ; \
+          done ; )
 
 <<newcode>>
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 79a6efd..19d0c3d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2207,5 +2207,7 @@ books/bookvol10.4 document PartialFractionPackage<br/>
 books/bookvol10.3 partial fix OrderedFreeMonoid<br/>
 <a href="patches/20091030.05.tpd.patch">20091030.05.tpd.patch</a>
 books/bookvol10.3 more PartialFraction documentation<br/>
+<a href="patches/20091031.01.tpd.patch">20091031.01.tpd.patch</a>
+src/interp,algebra/Makefiles move help.help built to algebra<br/>
  </body>
 </html>
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index 6158b5c..14b3866 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -44,38 +44,6 @@ MID=${INT}/interp
 OUT=${OBJ}/${SYS}/interp
 DOC=${MNT}/${SYS}/doc/src/interp
 BOOK=${MNT}/${SYS}/doc
-HELP=${MNT}/${SYS}/doc/spadhelp
-BOOKSRC=${SPD}/books/bookvol5.pamphlet
-
-@
-<<environment>>=
-SPADHELP=\
-abbreviations.help assignment.help blocks.help   boot.help      \
-browse.help        cd.help         clear.help    clef.help      \
-close.help         collection.help compiler.help copyright.help \
-display.help       edit.help       fin.help      for.help       \
-frame.help         help.help       history.help  if.help        \
-include.help       iterate.help    leave.help    library.help   \
-lisp.help          load.help       ltrace.help   parallel.help  \
-pquit.help         quit.help       read.help     repeat.help    \
-savesystem.help    set.help        show.help     spool.help     \
-suchthat.help      summary.help    synonym.help  syntax.help    \
-system.help        trace.help      undo.help     what.help      \
-while.help with.help
-@
-
-This creates all of the help files in the SPADHELP list from the
-interpreter book (volume 5).
-<<spadhelp>>=
-spadhelp:
-	@echo 9 making ${HELP} files from ${BOOKSRC}
-	@(mkdir -p ${HELP} ; \
-          cd ${HELP} ; \
-          for i in ${SPADHELP} ; do \
-            ${TANGLE} -R"$$i" ${BOOKSRC} >$$i ; \
-          done ; \
-          cat ${INT}/doc/help.helplist >>help.help ; \
-          ls *.help >spadhelp.files )
 
 @
 
@@ -4133,7 +4101,7 @@ ${OUT}/database.date:
 
 <<environment>>
 
-all: ${SAVESYS} spadhelp # ${DEBUGSYS} 
+all: ${SAVESYS} # ${DEBUGSYS} 
 	@echo 618 finished ${IN}
 
 clean:
@@ -4143,7 +4111,6 @@ clean:
 <<depsys>>
 <<debugsys>>
 <<databases>>
-<<spadhelp>>
 
 <<alql.o (OUT from MID)>>
 <<alql.lisp (MID from IN)>>
